#pragma once

/* Group motion profile for Axis Coordinate System (ACS) */
//Units used for Acceleration and Jerk.
//profileUnitPerSecond: Acceleration in unit per second^2, Jerk in unit per second^3.
//profileDelayInSecond: Acceleration and Jerk in second.
#define MOTION_GROUP_PROFILE_TYPE profileUnitPerSecond

//Maximum velocity used during the interpolation.
#define MAXIMUM_GROUP_VELOCITY 2000

//Maximum acceleration used during the interpolation.
#define MAXIMUM_GROUP_ACCELERATION 20000

//Maximum deceleration used during the interpolation.
#define MAXIMUM_GROUP_DECELERATION 20000

//Maximum jerk used during the interpolation.
//Setting this value to zero will result in a T-Curve interpolation.
#define MAXIMUM_GROUP_JERK 2000000

//Maximum jolt used during the interpolation.
//This is a placeholder for this value, which is not used.
#define MAXIMUM_GROUP_JOLT 0

VOID AssignAxis(int Group, int Axis, int IndexInGroup);
VOID RemoveAxis(int Group, int IndexInGroup);
VOID GroupEnable(int Group);
VOID GroupDisable(int Group);
VOID RemoveGroup(int Group);
VOID MotionProfileGroup(int Group);
VOID GetAGroupState(int Group);
VOID CheckAxisInGroup(int Group, int AxisInGroup);